package com.gh.gamecenter.common.tracker

import android.app.Activity

interface ITrack {
    fun onActivityStarted(activity: Activity)
    fun onActivityStopped(activity: Activity)

    fun onAppStarted()
    fun onAppVisible(interval: Long)
    fun onAppStopped()

    fun onSessionChanged(sessionId: String)
}